﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using Data.Model;
using Service.Interface;

namespace Service.Implement
{
    [Export(typeof(IBookService))]
    public class DefaultBookService : IBookService
    {
        public IEnumerable<Book> GetAllBooks()
        {
            yield return new Book
            {
                ID = 1,
                Name = "a"
            };

            yield return new Book
            {
                ID = 2,
                Name = "b"
            };
        }
    }
}
