﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using Data.Model;
using Service.Interface;

namespace Service.Implement
{
    [Export(typeof (IPhoneService))]
    public class DefaultPhoneService : IPhoneService
    {
        public IEnumerable<Phone> GetAllPhones()
        {
            yield return new Phone
                             {
                                 Size = 3,
                                 SerialNumber = "12345"
                             };

            yield return new Phone
                             {
                                 Size = 7,
                                 SerialNumber = "678910"
                             };
        }
    }
}
